Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.plugins
Class AbstractBeanInfo

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.info.plugins.AbstractBeanInfo

All Implemented Interfaces:
  BeanInfo, Cloneable, org.jboss.util.JBossInterface

public class AbstractBeanInfo
extends org.jboss.util.JBossObject
implements BeanInfo

BeanInfo.

Version:
  $Revision: 1.14 $
Author:
  Adrian Brock

Field Summary
`protected BeanInfoFactory` | `beanInfoFactory` The BeanInfoFactory
`protected org.jboss.classadapter.spi.ClassAdapter` | `classAdapter` The class adapter
`protected Set` | `constructors` The constructors
`protected Set` | `events` The events
`protected Set` | `methods` The methods
`protected String` | `name` The class name
`protected Set` | `properties` The properties

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractBeanInfo(BeanInfoFactory beanInfoFactory, org.jboss.classadapter.spi.ClassAdapter classAdapter, Set properties, Set constructors, Set methods, Set events)` Create a new bean info

Method Summary
`boolean` | `equals(Object object)`
`BeanInfoFactory` | `getBeanInfoFactory()` Get the bean info factory
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo()` Get the class information
`Set` | `getConstructors()` Get the constructor info.
`List` | `getDependencies()` Bean may have additional dependencies that the kernel cannot initially resolve.
`Set` | `getEvents()` Get the event information.
`int` | `getHashCode()`
`org.jboss.joinpoint.spi.JoinpointFactory` | `getJoinpointFactory()` Get the joinpoint factory
`Set` | `getMethods()` Get the method information.
`String` | `getName()` Get the bean name
`Set` | `getProperties()` Get the property information.
`void` | `setConstructors(Set constructors)` Set the constructor info.
`void` | `setEvents(Set events)` set the event information.
`void` | `setMethods(Set methods)` Set the method information.
`void` | `setProperties(Set properties)` Set the property information.
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected String name

  The class name

### classAdapter

    protected org.jboss.classadapter.spi.ClassAdapter classAdapter

  The class adapter

### properties

    protected Set properties

  The properties

### constructors

    protected Set constructors

  The constructors

### methods

    protected Set methods

  The methods

### events

    protected Set events

  The events

### beanInfoFactory

    protected BeanInfoFactory beanInfoFactory

  The BeanInfoFactory

Constructor Detail

### AbstractBeanInfo

    public AbstractBeanInfo(BeanInfoFactory beanInfoFactory,
                            org.jboss.classadapter.spi.ClassAdapter classAdapter,
                            Set properties,
                            Set constructors,
                            Set methods,
                            Set events)

  Create a new bean info

Parameters:
  `beanInfoFactory` - the bean info factory
  `classAdapter` - the class adapter
  `properties` - the properties
  `constructors` - the constructors
  `methods` - the methods
  `events` - the events

Method Detail

### getName

    public String getName()

  Description copied from interface: `BeanInfo`
  Get the bean name

  Specified by:
    `getName` in interface `BeanInfo`
  Returns:
    the name

### getProperties

    public Set getProperties()

  Description copied from interface: `BeanInfo`
  Get the property information.

  Specified by:
    `getProperties` in interface `BeanInfo`
  Returns:
    a Set

### setProperties

    public void setProperties(Set properties)

  Description copied from interface: `BeanInfo`
  Set the property information.

  Specified by:
    `setProperties` in interface `BeanInfo`
  Parameters:
    `properties` - a Set

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo()

  Description copied from interface: `BeanInfo`
  Get the class information

  Specified by:
    `getClassInfo` in interface `BeanInfo`
  Returns:
    the class information

### getDependencies

    public List getDependencies()

  Description copied from interface: `BeanInfo`
  Bean may have additional dependencies that the kernel cannot initially resolve. (currently defined by ClassAdapter)

  Specified by:
    `getDependencies` in interface `BeanInfo`
  Returns:
    the list of dependencies

### getJoinpointFactory

    public org.jboss.joinpoint.spi.JoinpointFactory getJoinpointFactory()

  Description copied from interface: `BeanInfo`
  Get the joinpoint factory

  Specified by:
    `getJoinpointFactory` in interface `BeanInfo`
  Returns:
    the joinpoint factory

### getConstructors

    public Set getConstructors()

  Description copied from interface: `BeanInfo`
  Get the constructor info.

  Specified by:
    `getConstructors` in interface `BeanInfo`
  Returns:
    a Set

### setConstructors

    public void setConstructors(Set constructors)

  Description copied from interface: `BeanInfo`
  Set the constructor info.

  Specified by:
    `setConstructors` in interface `BeanInfo`
  Parameters:
    `constructors` - a Set

### getEvents

    public Set getEvents()

  Description copied from interface: `BeanInfo`
  Get the event information.

  Specified by:
    `getEvents` in interface `BeanInfo`
  Returns:
    a Set

### setEvents

    public void setEvents(Set events)

  Description copied from interface: `BeanInfo`
  set the event information.

  Specified by:
    `setEvents` in interface `BeanInfo`
  Parameters:
    `events` - a Set

### getMethods

    public Set getMethods()

  Description copied from interface: `BeanInfo`
  Get the method information.

  Specified by:
    `getMethods` in interface `BeanInfo`
  Returns:
    a Set

### setMethods

    public void setMethods(Set methods)

  Description copied from interface: `BeanInfo`
  Set the method information.

  Specified by:
    `setMethods` in interface `BeanInfo`
  Parameters:
    `methods` - a Set

### getBeanInfoFactory

    public BeanInfoFactory getBeanInfoFactory()

  Description copied from interface: `BeanInfo`
  Get the bean info factory

  Specified by:
    `getBeanInfoFactory` in interface `BeanInfo`
  Returns:
    the factory

### equals

    public boolean equals(Object object)

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

### getHashCode

    public int getHashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.